Package io.vertx.rxjava3.mqtt.messages

## Class MqttPubAckMessage

- java.lang.Object
- - io.vertx.rxjava3.mqtt.messages.MqttPubAckMessage

- All Implemented Interfaces:
    `io.vertx.lang.rx.RxDelegate`

      public class MqttPubAckMessage
      extends Object
      implements io.vertx.lang.rx.RxDelegate

  Represents an MQTT PUBACK message

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<MqttPubAckMessage>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MqttPubAckMessage​(MqttPubAckMessage delegate)` |
    `MqttPubAckMessage​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `MqttPubAckReasonCode` | `code()` |
    `static MqttPubAckMessage` | `create​(int messageId, MqttPubAckReasonCode code, MqttProperties properties)` | Create a concrete instance of a Vert.x puback message
    `boolean` | `equals​(Object o)` |
    `MqttPubAckMessage` | `getDelegate()` |
    `int` | `hashCode()` |
    `int` | `messageId()` |
    `static MqttPubAckMessage` | `newInstance​(MqttPubAckMessage arg)` |
    `MqttProperties` | `properties()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<MqttPubAckMessage> __TYPE_ARG

  - ### Constructor Detail

    - #### MqttPubAckMessage

          public MqttPubAckMessage​(MqttPubAckMessage delegate)

    - #### MqttPubAckMessage

          public MqttPubAckMessage​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public MqttPubAckMessage getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### messageId

          public int messageId()

    - #### code

          public MqttPubAckReasonCode code()

      Returns:
        reason code from the puback request

    - #### create

          public static MqttPubAckMessage create​(int messageId,
                                                 MqttPubAckReasonCode code,
                                                 MqttProperties properties)

      Create a concrete instance of a Vert.x puback message
      Parameters:
        `messageId` - message Id
        `code` - return code from the puback
        `properties` - MQTT properties of the puback message
      Returns:

    - #### properties

          public MqttProperties properties()

      Returns:
        MQTT properties

    - #### newInstance

          public static MqttPubAckMessage newInstance​(MqttPubAckMessage arg)